[android-components](../../../../index.md) / [mozilla.components.concept.engine.manifest](../../../index.md) / [WebAppManifestParser](../../index.md) / [Result](../index.md) / [Success](./index.md)

# Success

`data class Success : `[`Result`](../index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/manifest/WebAppManifestParser.kt#L30)

The JSON was parsed successful.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `Success(manifest: `[`WebAppManifest`](../../../-web-app-manifest/index.md)`)`<br>The JSON was parsed successful. |

### Properties

| Name | Summary |
|---|---|
| [manifest](manifest.md) | `val manifest: `[`WebAppManifest`](../../../-web-app-manifest/index.md)<br>The parsed [WebAppManifest](../../../-web-app-manifest/index.md) object. |
